Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1185830 - [RFE][SPM Removal][oVirt] - Decommission Master Domain and SPM
Summary: [RFE][SPM Removal][oVirt] - Decommission Master Domain and SPM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.1.0-alpha
: ---
Assignee: Adam Litke
QA Contact: Aharon Canan
URL: http://www.ovirt.org/Features/Decommi...
Whiteboard:
Depends On: 1032686 1055640 1080379 1080384 1143872
Blocks: scale 878886 928317 1057156 1080372 1132200 1170378 1179834 1199314 1235643 1338499
TreeView+ depends on / blocked
 
Reported: 2015-01-26 11:47 UTC by Allon Mureinik
Modified: 2017-03-15 19:43 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1080372
Environment:
Last Closed: 2016-08-14 11:11:18 UTC
oVirt Team: Storage
ylavi: ovirt-4.1?
rule-engine: planning_ack?
amureini: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2969581 None None None 2017-03-15 19:43:02 UTC

Description Allon Mureinik 2015-01-26 11:47:42 UTC
+++ This bug was initially created as a clone of Bug #1080372 +++

Description of problem:
In order to remove the Storage Pool we need to decommission the Master Domain (pool metadata, ovf, tasks) and the SPM role (using a metadata lock).

Comment 3 Mike McCune 2016-03-28 22:14:36 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 Yaniv Lavi 2016-08-14 11:11:18 UTC
We will not be decommissioning SPM, but we will take in improvement for this effort to improve the SPM flows.


Note You need to log in before you can comment on or make changes to this bug.